
class CalculateTip
	
	def initialize(amount = nil, tip = "15", currencie = nil)
		if amount.to_f < 0 or tip.to_f < 0
    		raise ArgumentError.new("Amount is negative!")  			
  		end

		@amount = amount.to_f
		@tip = tip.to_f 
		@currencie = currencie.to_s 
	end

	def get_amount
		@amount
	end

	def get_tip
		@tip
	end

	def calculate
		calc_tip = (@amount * @tip) / 100
		total_amount = @amount + calc_tip

		puts "Total amount with tip: " + total_amount.to_s + " " + @currencie
		puts "Tip amount: " + calc_tip.to_s + " " + @currencie 
		puts "Calculation with external API "

		external_api = ExternalApi.new(@amount, @tip)
		puts external_api.calculate

		return
	end

end

require 'calculate-tip/external-api'
require 'calculate-tip/get-parameters.rb'